## pyim-el 4.1.0

=== tests/Makefile ===
# -*- Makefile -*-
SHELL = /bin/sh
EMACS ?= emacs

clean:
	@rm -rf pyim-tests-temp-*

.PHONY: deps
deps:
	@mkdir -p deps;
	@if [ ! -f deps/xr.el ]; then curl -L https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/xr.el?h=externals/xr > deps/xr.el; fi;
	@if [ ! -f deps/async.el ]; then curl -L https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/async.el?h=externals/async > deps/async.el; fi;
	@if [ ! -f deps/popup.el ]; then curl -L https://git.savannah.gnu.org/cgit/emacs/nongnu.git/plain/popup.el?h=elpa/popup > deps/popup.el; fi;
	@if [ ! -f deps/pyim-basedict.pyim ]; then curl -L https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/pyim-basedict.pyim?h=externals/pyim-basedict > deps/pyim-basedict.pyim; fi;
	@if [ ! -f deps/pyim-basedict.el ]; then curl -L https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/pyim-basedict.el?h=externals/pyim-basedict > deps/pyim-basedict.el; fi;

.PHONY: test
test: deps clean
	@$(EMACS) --batch --quick --directory .. --directory ./deps --load ./pyim-tests.el
	@rm -rf pyim-tests-temp-*

=== debian/changelog ===
pyim-el (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 12 Jan 2022 16:34:26 +0500

pyim-el (4.0.3-1) unstable; urgency=medium

  * Drop patch to disable tests
  * New upstream version 4.0.3
  * Build-Depend on elpa-pyim-basedict

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 01 Jan 2022 11:14:44 +0500

pyim-el (3.9.7-1) unstable; urgency=medium

  * New upstream version 3.9.7
  * Refresh patch to clean documentation
  * Add patch to disable some tests
  * d/watch: Update uscan regexp

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 25 Dec 2021 09:36:40 +0500

pyim-el (3.9.5-1) unstable; urgency=medium

  * Initial release (Closes: 1001687)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 14 Dec 2021 14:28:47 +0500

=== debian/control ===
Source: pyim-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               elpa-pyim-basedict,
               elpa-xr
Standards-Version: 4.6.0
Homepage: https://elpa.gnu.org/packages/pyim.html
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/pyim-el
Vcs-Git: https://salsa.debian.org/emacsen-team/pyim-el.git

Package: elpa-pyim
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0),
            elpa-pyim-basedict
Enhances: emacs
Description: Chinese input method support quanpin, shuangpin, wubi, cangjie and rime
 pyim is a Chinese input method in the Emacs environment. The code of
 pyim is derived from Emacs-eim, which development stopped after 2008.
 Although the external input method is powerful, it can't cooperate
 with Emacs tacitly, which greatly damages the feeling of Emacs.
 .
 Features:
 .
  - pyim supports Quanpin, Shuangpin, Wubi and Cangjie, among which
 Quanpin is the best;
 .
  - pyim optimizes the input method by adding thesaurus;
 .
  - pyim uses the text lexicon format, which is convenient for
 processing;
 .
  - pyim can be used as the front end for rime.

=== debian/watch ===
version=4
https://elpa.gnu.org/packages/pyim.html pyim-(.+).tar(?:\.lz)?

## pyim-el 5.2.3

=== Makefile ===
# -*- Makefile -*-
SHELL = /bin/sh
EMACS ?= emacs

.PHONY: test lint clean deps compile

EMACS_GENERIC_OPTS=--quick --directory . --directory .deps
EMACS_BATCH_OPTS:=--batch $(EMACS_GENERIC_OPTS)
RM=@rm -rf

XR_URL="https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/xr.el?h=externals/xr"
ASYNC_URL="https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/async.el?h=externals/async"
POSFRAME_URL="https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/posframe.el?h=externals/posframe"
POPUP_URL="https://git.savannah.gnu.org/cgit/emacs/nongnu.git/plain/popup.el?h=elpa/popup"
BASEDICT_URL="https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/pyim-basedict.el?h=externals/pyim-basedict"

## Download pyim-basedict.pyim file from pyim-basedict v0.5.0, which commit
## is: 7495c974ada99f9fed96d8e85d8b97dabce9532c
BASEDICT_PYIM_URL="https://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/pyim-basedict.pyim?h=externals/pyim-basedict&id=7495c974ada99f9fed96d8e85d8b97dabce9532c"

clean:
	$(RM) pyim-tests-temp-*
	$(RM) *.elc

deps:
	@mkdir -p .deps;
	@if [ ! -f .deps/xr.el ]; then curl -L $(XR_URL) > .deps/xr.el; fi;
	@if [ ! -f .deps/async.el ]; then curl -L $(ASYNC_URL) > .deps/async.el; fi;
	@if [ ! -f .deps/posframe.el ]; then curl -L $(POSFRAME_URL) > .deps/posframe.el; fi;
	@if [ ! -f .deps/popup.el ]; then curl -L $(POPUP_URL) > .deps/popup.el; fi;
	@if [ ! -f .deps/pyim-basedict.el ]; then curl -L $(BASEDICT_URL) > .deps/pyim-basedict.el; fi;
	@if [ ! -f .deps/pyim-basedict.pyim ]; then curl -L $(BASEDICT_PYIM_URL) > .deps/pyim-basedict.pyim; fi;

lint: deps
	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-elint.el 2>&1 | grep -E "([Ee]rror|[Ww]arning):" && exit 1 || exit 0

compile: deps
	$(RM) *.elc
	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-byte-compile.el 2>&1 | grep -E "([Ee]rror|[Ww]arning):" && exit 1 || exit 0

# test: lint compile deps clean
test: compile deps
	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-tests.el
	$(RM) pyim-tests-temp-*

runemacs: deps
	@$(EMACS) $(EMACS_GENERIC_OPTS) --load ./tests/pyim-emacs-init.el

=== debian/changelog ===
pyim-el (5.2.3-1) unstable; urgency=medium

  * New upstream version 5.2.3

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 11 Jul 2022 13:36:13 +0500

pyim-el (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * Refresh patch to clean documentation
  * Add README-elpa to docs
  * d/control: Add build dependencies
  * d/watch: Add GNU ELPA signing key and its support

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Jul 2022 21:34:26 +0500

pyim-el (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 May 2022 20:48:17 +0500

pyim-el (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Refresh patch to clean documentation
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 26 Apr 2022 09:49:35 +0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
+               elpa-async,
+               elpa-popup,
+               elpa-posframe,
                elpa-pyim-basedict,
                elpa-xr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://elpa.gnu.org/packages/pyim.html
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no

## pyim-el 5.3.0

=== debian/changelog ===
pyim-el (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Feb 2023 17:15:38 +0500

pyim-el (5.2.9-1) unstable; urgency=medium

  * New upstream version 5.2.9
  * Update upstream signing key
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 01 Jan 2023 22:30:31 +0500

pyim-el (5.2.8-1) unstable; urgency=medium

  * New upstream version 5.2.8

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 12 Nov 2022 11:46:47 +0500

pyim-el (5.2.7-1) unstable; urgency=medium

  * New upstream version 5.2.7

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 05 Nov 2022 13:48:34 +0500

pyim-el (5.2.6-1) unstable; urgency=medium

  * New upstream version 5.2.6

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 22 Oct 2022 17:05:02 +0500

pyim-el (5.2.5-1) unstable; urgency=medium

  * New upstream version 5.2.5

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 05 Oct 2022 15:06:38 +0500

pyim-el (5.2.4-1) unstable; urgency=medium

  * New upstream version 5.2.4
  * Refresh patch to clean documentation

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Sep 2022 10:52:45 +0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                elpa-posframe,
                elpa-pyim-basedict,
                elpa-xr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://elpa.gnu.org/packages/pyim.html
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no

## pyim-el 5.3.2

=== debian/changelog ===
pyim-el (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Jun 2023 09:25:48 +0500

## pyim-el 5.3.3

=== debian/changelog ===
pyim-el (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * d/control: Clean Recommends

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 18 Sep 2023 12:42:31 +0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             elpa-pyim-basedict
 Enhances: emacs
 Description: Chinese input method support quanpin, shuangpin, wubi, cangjie and rime

## pyim-el 5.3.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SHELL = /bin/sh
 EMACS ?= emacs
 
-.PHONY: test lint clean deps compile
+.PHONY: test clean deps compile
 
 EMACS_GENERIC_OPTS=--quick --directory . --directory .deps
 EMACS_BATCH_OPTS:=--batch $(EMACS_GENERIC_OPTS)
@@ -31,14 +31,11 @@
 	@if [ ! -f .deps/pyim-basedict.el ]; then curl -L $(BASEDICT_URL) > .deps/pyim-basedict.el; fi;
 	@if [ ! -f .deps/pyim-basedict.pyim ]; then curl -L $(BASEDICT_PYIM_URL) > .deps/pyim-basedict.pyim; fi;
 
-lint: deps
-	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-elint.el 2>&1 | grep -E "([Ee]rror|[Ww]arning):" && exit 1 || exit 0
-
 compile: deps
 	$(RM) *.elc
 	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-byte-compile.el 2>&1 | grep -E "([Ee]rror|[Ww]arning):" && exit 1 || exit 0
 
-# test: lint compile deps clean
+# test: compile deps clean
 test: compile deps
 	@$(EMACS) $(EMACS_BATCH_OPTS) --load ./tests/pyim-tests.el
 	$(RM) pyim-tests-temp-*

=== debian/changelog ===
pyim-el (5.3.4-3) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * Update patch forward status
  * Cherrypick test fix for Emacs 30.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Standards-Version to 4.7.1; no change needed

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 20:39:20 +0800

pyim-el (5.3.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:36:10 +0900

pyim-el (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 04 Jun 2024 14:07:14 +0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                elpa-posframe,
                elpa-pyim-basedict,
                elpa-xr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://elpa.gnu.org/packages/pyim.html
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://elpa.gnu.org/packages/pyim.html pyim-(.+).tar(?:\.lz)?

## pyim-el 5.3.6

=== debian/changelog ===
pyim-el (5.3.6-1) unstable; urgency=medium

  * New upstream version 5.3.6
  * Drop patch applied upstream
  * d/control: Declare Standards-Version 4.7.3
  * d/control: Drop Priority field
  * d/control: Drop Rules-Requires-Root: no
  * d/copyright: Bump copyright years
  * d/watch: Migrate to version 5

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 03 Jan 2026 11:48:32 +0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pyim-el
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -10,10 +9,9 @@
                elpa-posframe,
                elpa-pyim-basedict,
                elpa-xr
-Standards-Version: 4.7.1
+Standards-Version: 4.7.3
 Homepage: https://elpa.gnu.org/packages/pyim.html
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/pyim-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/pyim-el.git

=== debian/watch ===
Version: 5

Source: https://elpa.gnu.org/packages/pyim.html
Matching-Pattern: pyim-(.+).tar(?:\.lz)?
Pgp-Sig-Url-Mangle: s%$%.asc%
